summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--perl/perl-Net-Patricia/README1
-rw-r--r--perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild93
-rw-r--r--perl/perl-Net-Patricia/perl-Net-Patricia.info10
-rw-r--r--perl/perl-Net-Patricia/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/perl/perl-Net-Patricia/README b/perl/perl-Net-Patricia/README
new file mode 100644
index 0000000000..a15fe53263
--- /dev/null
+++ b/perl/perl-Net-Patricia/README
@@ -0,0 +1 @@
+Patricia Trie perl module for fast IP address lookups
diff --git a/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild b/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild
new file mode 100644
index 0000000000..b901395002
--- /dev/null
+++ b/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: Net::Patricia
+# Home Page http://search.cpan.org/dist/Net-Patricia/
+
+# Copyright (c) 2014, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="perl-Net-Patricia"
+VERSION=${VERSION:-1.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes COPYING README"
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Remove perllocal.pod and other special files that don't need to be installed,
+# as they will overwrite what's already on the system.
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Net-Patricia/perl-Net-Patricia.info b/perl/perl-Net-Patricia/perl-Net-Patricia.info
new file mode 100644
index 0000000000..cba2e1dfaf
--- /dev/null
+++ b/perl/perl-Net-Patricia/perl-Net-Patricia.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Net-Patricia"
+VERSION="1.22"
+HOMEPAGE="http://search.cpan.org/dist/Net-Patricia/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GR/GRUBER/Net-Patricia-1.22.tar.gz"
+MD5SUM="ef838f7512b050ca4b35d742f9565b3b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Net-CIDR-Lite perl-Socket6"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
diff --git a/perl/perl-Net-Patricia/slack-desc b/perl/perl-Net-Patricia/slack-desc
new file mode 100644
index 0000000000..4975a19759
--- /dev/null
+++ b/perl/perl-Net-Patricia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Net-Patricia: perl-Net-Patricia (Net::Patricia)
+perl-Net-Patricia:
+perl-Net-Patricia: Patricia Trie perl module for fast IP address lookups
+perl-Net-Patricia:
+perl-Net-Patricia: Homepage: http://search.cpan.org/dist/Net-Patricia/
+perl-Net-Patricia:
+perl-Net-Patricia:
+perl-Net-Patricia:
+perl-Net-Patricia:
+perl-Net-Patricia:
+perl-Net-Patricia: